Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Protected Member Functions | Private Member Functions
Argus::NonCopyable Class Reference

Utility class for Argus interfaces. More...

`#include <Types.h>`

Inheritance diagram for Argus::NonCopyable:

List of all members.

## Protected Member Functions

| NonCopyable ()

## Private Member Functions

| NonCopyable (NonCopyable &other)
NonCopyable & | operator= (NonCopyable &other)

## Detailed Description

Utility class for Argus interfaces.

Definition at line 290 of file Types.h.

## Constructor & Destructor Documentation

Argus::NonCopyable::NonCopyable | ( |  | ) |

inlineprotected

Definition at line 293 of file Types.h.

Argus::NonCopyable::NonCopyable | ( | NonCopyable & | other | ) |

private

## Member Function Documentation

NonCopyable& Argus::NonCopyable::operator= | ( | NonCopyable & | other | ) |

private

The documentation for this class was generated from the following file:

- include/Argus/Types.h